« Linux Mint 19.1 MATE に Internet Security ソフト「COMODO」を入れる | Main | tp-link Archer T1U v2 AC450 を Linux Mint 19.1 で使う »

04/28/2019

Linux Mint 19.1 MATE update Error bionic-security/restricted armhf Packages

最近、Linux Mint をアップデートする際、常に
 ... ubuntu bionic-security/restricted armhf Packages 404 Not Found ... と表示される。

加えて、
 ... ubuntu bionic InRelease がアーキテクチャ 'armul' をサポートしないため設定ファイル 'main/binary-armel/Packages' の取得をスキップ

などのエラーも表示される。「armhf」「armul」に関するエラー表示のようだ。

多分、いろいろやっている間に、余計なPackageをインストールしまったらしい。

ネットで調べてみると、下記の方法で修復出来ることがわかった。
ターミナルから次の 2行のコマンドを打ち込んでやればいい。

 sudo dpkg --remove-architecture armhf 
 sudo dpkg --remove-architecture armul

その後、 sudo apt update   として確認した。

ようやくアップデート時のエラー表示が消えた!


その後、アップグレード出来るパッケージが有ると表示されたので・・・アップグレードすることにした。

先ず、アップグレード出来るパッケージを表示する(だけ)の方法は、下記コマンドを打ち込めば良い。

 apt list --upgradable 

幾つかのアップグレード出来るパッケージが表示されたので、下記を打ち込んでアップグレードした。

 sudo apt upgrade

アップグレード後の確認は、  sudo apt update 問題なくアップデートされた。

« Linux Mint 19.1 MATE に Internet Security ソフト「COMODO」を入れる | Main | tp-link Archer T1U v2 AC450 を Linux Mint 19.1 で使う »

PC and PC troubles」カテゴリの記事

Comments

Post a comment

Comments are moderated, and will not appear on this weblog until the author has approved them.

(Not displayed with comment.)

« Linux Mint 19.1 MATE に Internet Security ソフト「COMODO」を入れる | Main | tp-link Archer T1U v2 AC450 を Linux Mint 19.1 で使う »

July 2019
Sun Mon Tue Wed Thu Fri Sat
  1 2 3 4 5 6
7 8 9 10 11 12 13
14 15 16 17 18 19 20
21 22 23 24 25 26 27
28 29 30 31      

Recent Trackbacks

無料ブログはココログ